> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stockinsights.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 8-K/6-K Tagged Feed

> The API returns the latest 8-K and 6-K feed from SEC Edgar, each tagged with AI-generated insights including summaries, category tags (drawn from a predefined set of categories), and sentiment tags. Users can utilize this tagged feed to monitor daily updates on material events reported by companies, enabling them to build custom email notification systems or display widgets for tracking significant corporate disclosures in their apps.



## OpenAPI

````yaml openapi-us get /api/us/v0/documents/announcement
openapi: 3.0.0
info:
  title: stockinsights.ai APIs
  description: All the APIs of stockinsights.ai
  version: 1.0.0
servers:
  - url: https://stockinsights-ai-us-main-f5fd25a.zuplo.app
security:
  - bearerAuth: []
paths:
  /api/us/v0/documents/announcement:
    get:
      summary: 8-K/6-K Tagged Feed
      description: >-
        The API returns the latest 8-K and 6-K feed from SEC Edgar, each tagged
        with AI-generated insights including summaries, category tags (drawn
        from a predefined set of categories), and sentiment tags. Users can
        utilize this tagged feed to monitor daily updates on material events
        reported by companies, enabling them to build custom email notification
        systems or display widgets for tracking significant corporate
        disclosures in their apps.
      operationId: getAnnouncementsFeed
      parameters:
        - name: document_type
          in: query
          description: >-
            Optional param. Only provide if exclusive 8-K feed or 6-K feed is
            needed. Accepted values=8-K or 6-K
          schema:
            type: string
            enum:
              - 8-K
              - 6-K
            example: 8-K
          required: false
        - name: cik
          in: query
          description: >-
            CIKs (Central Index Keys) of companies. Multiple CIKs can be
            provided separated by commas. Each CIK should be a 10-digit number
            (include leading zeros if necessary). Get CIKs from [Company
            Details](https://drive.google.com/file/d/1XQh20CTDEn_uFhRArOQm9jkVesnSkSTI/view).
          schema:
            type: string
            example: '0001045810'
          required: false
        - name: from_date
          in: query
          description: >-
            Start date in YYYY-MM-DD format. Use this parameter to filter data
            from a specific start date.
          schema:
            type: string
          required: false
        - name: to_date
          in: query
          description: >-
            End date in YYYY-MM-DD format. Use this parameter to filter data
            till a specific end date
          schema:
            type: string
          required: false
        - name: category_id
          in: query
          description: >-
            Comma-separated 8-K/6-K Category IDs (Allowed Values - 1 to 26).
            Check the [filings-8k-type
            mapping](https://drive.google.com/file/d/11WdsQBvXrHGUuMwEzu_m4jktl0BzYGkk/view).
          schema:
            type: string
          required: false
        - name: sentiment
          in: query
          description: >-
            Comma-separated sentiment values (Allowed values - positive,
            negative, neutral).
          schema:
            type: string
            enum:
              - positive
              - negative
              - neutral
            example: negative
          required: false
        - name: sector
          in: query
          description: >-
            Sector classification of the companies. Multiple values can be
            provided separated by commas. Get valid sector values from [Company
            Details](https://drive.google.com/file/d/1XQh20CTDEn_uFhRArOQm9jkVesnSkSTI/view).
          schema:
            type: string
          required: false
        - name: industry
          in: query
          description: >-
            Industry classification of the companies. Multiple values can be
            provided separated by commas. Check valid industry values from
            [Company
            Details](https://drive.google.com/file/d/1XQh20CTDEn_uFhRArOQm9jkVesnSkSTI/view).
          schema:
            type: string
          required: false
        - name: limit
          in: query
          description: >-
            The number of results to return per page. This parameter is optional
            and defaults to 20 if not specified. Maximum value is 50.
          schema:
            type: integer
            maximum: 50
          required: false
        - name: page
          in: query
          description: >-
            Page number for pagination. This parameter is optional and defaults
            to 1 if not specified.
          schema:
            type: integer
            minimum: 1
          required: false
      responses:
        '200':
          description: Success response. Contains Paginated 8-K/6-K Documents.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Announcement'
                  meta:
                    type: object
                    items:
                      $ref: '#/components/schemas/Meta'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Announcement:
      type: object
      description: >-
        Each 8-K document is tagged with AI-generated insights, such as summary,
        category tags from a predefined set of categories and sentiment of the
        8-K content.
      properties:
        id:
          type: string
          description: Internal ID of the 8-K document
        type:
          type: string
          description: Document type. By default, the value is 8-K
        cik:
          type: string
          description: CIK of the company.
          example: '0001045810'
        ticker:
          type: string
          description: Internal ticker representation for the company.
        company_name:
          type: string
          description: Company name.
        source_link:
          type: string
          description: The link to the raw 8-K document.
        ai_insights:
          type: object
          properties:
            category_id:
              description: >-
                Annoucement category ID. Example - A 8-K filing could be marked
                as Company Merger(ID=1)
              type: string
            category_name:
              description: >-
                The category/type name. Example - A 8-K filing could be marked
                as Company Merger(ID=1)
              type: string
            summary_title:
              type: string
              description: AI-generated summary header for the 8-K/6-K filing
            summary_text:
              type: string
              description: AI-generated summary for the 8-K/6-K filing
            sentiment:
              type: string
              description: Sentiment of the 8-K.
              enum:
                - positive
                - negative
                - neutral
        published_date:
          type: string
          format: date-time
          description: UTC Timestamp of the 8-K published date-time
    Meta:
      type: object
      properties:
        total_count:
          type: integer
          format: int64
          description: Total item count for the given request.
        page:
          type: integer
          format: int64
          description: Current Page number.
        limit:
          type: integer
          format: int64
          description: Number of items in the current response.
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
                description: Error status
              title:
                type: string
                description: Error description
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````